LINUX.ORG.RU

Не очень древний линукс

 , ,


0

1

Разгребал старую коробку с документами и нашел диск Alt Linux 3.0 Compact с руководством пользователя в виде книжечки, в которой кратко описано как устанавить, как настроить самбу и принтер, немного про файловую систему и пр. Откуда оно у меня, не вспомнил. Вспомнил! Шло в комплекте с ноутом, по-моему Rover.

Поставил на виртуалку. В принципе юзабельно, если поправить шрифты и поставить свежий браузер.

>>> Просмотр (1280x1024, 378 Kb)

★★★★

Проверено: cetjs2 ()

https://www.altlinux.org/Releases/30 — до сих пор доступно для загрузки, включая даже руководства пользователя! Приятно, что для истории не пожалели места на сервере.

Хотя практической пользы из дистрибутива 2006 года не очень много.

Vsevolod-linuxoid ★★★★★ ()

поставить свежий браузер

Скорее всего ты упрешься в несовместимость с древним glibc, если попробуешь готовые тарболлы. Только компиляция из исходников.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Покопался, понастальгировал по старым программам, которыми раньше пользовался - amarok, xine, psi. Xine оказывается еще живой?

Puzan ★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Не работают, что-то ему не нравится. Разбираться не буду.

Puzan ★★★★ ()

Классика. Пустил слезу. После той эпохи весь софт повернул куда-то не туда.

ChekPuk ★★ ()

В принципе юзабельно, если поправить шрифты и поставить свежий браузер.

для чего юзабельно? для браузинга инета? резонно. я как вспомню этот OpenOffice 1.1.5 (я тогда в офисе его админил), так вздрогну. короче, можешь выкидывать этот cd.

Шло в комплекте с ноутом, по-моему Rover.

те ноуты хоть ховно, но факт занятный. были же времена.

crypt ★★★★★ ()
Последнее исправление: crypt (всего исправлений: 2)

Да, с такими шрифтами легко можно подхватить конъюнктивит. К остальному грех придираться, классика же.

griefer ()
Ответ на: комментарий от crypt

для чего юзабельно?

Юзабельно - в смысле из коробки всё работает, не требует напилинга. Ну кроме шрифтов.

можешь выкидывать этот cd.

Закину в другую коробку, пусть ещё лет 15 полежит.

Puzan ★★★★ ()
Последнее исправление: Puzan (всего исправлений: 1)

Openoffice сколько сколько?! Я вроде даже не видел ничего моложе 1.5 или 2.2

Шрифты кстати ничего так, жутко мелкие но читаются нормально. Если увеличить до 10-12 должно быть супер.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от Puzan

psi тоже. И даже развивается достаточно активно для того, чтобы jabber.ru не успевал обновлять своё шифрование под новые стандарты.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

В те далёкие времена ставить пакеты с диска было вполне нормально. Не представляю, чем сейчас закончится такой трюк.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

м? покажи что ли, хоть посмотрю, что ставят.

crypt ★★★★★ ()
Ответ на: комментарий от kirill_rrr

Openoffice сколько сколько?! Я вроде даже не видел ничего моложе 1.5 или 2.2

Тшш! Не буду призраков прошлого. Тем более, что 2.6.12 было не так уж и давно и тоже огребало бесконечно багфиксы. Там где-то в районе этой версии еще и громкий root был. Офис этот, 1.1.5, был еще наполовину на яве. Запускался он так прилично долго, секунд 8-15. Падал иногда сам по себе. На фоне первой волны миграции на опенсорс в нашей стране, когда все реально опасались проверок, это было жестко.

crypt ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

так скучно, да и соседский вайфай тормозит на нагруженных страничках под вечер. че там за линукс-то?

crypt ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Скорее всего ты упрешься в несовместимость с древним glibc, если попробуешь готовые тарболлы. Только компиляция из исходников.

Тут тоже жизнь не малина. Новые версии браузеров хотят новые версии компиляторов.

akk ★★★★ ()

Rover

Был у меня такой из роверов. Китайчатинка, но брендирована неплохо.

sparkie ()

Выглядит тепло и лампово. Надеюсь, там ещё нет udev, dbus и HAL.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от akk

Скомпилировать новый GCC в старой версии системы - можно. Я правда не пробовал в НАСТОЛЬКО старых версиях системы, но в SUSE 10 обновил GCC 4.0 до 8. Также я видел последний GCC для DOS.

Firefox 45 - последняя версия, которая работает без библиотек XCB (новые библиотеки «иксов», с которыми удобнее работать, и которые появились в 2008, или около того, году). Следующий ESR-релиз браузера (т.е. релиз с долговременной поддержкой), а именно Frefox 52, хочет уже как минимум libxcb 1.4. А также библиотеку x11-xcb из состава libX11 1.3.

И я вот даже не знаю, каким образом подготовить бинарники для старых дистрибутивов, чтобы не обновлять в самой системе эти библиотеки. Чтобы статично слинковаться только с libxcb и libX11, а со всем остальным - динамически.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 3)

KDE 3.5 это отличное DE от мастеров своего дела, которое даже использовали Enterprise-продукты и которое всем советовал сам лично Linus Torvalds.

Очень жаль, что оно было убито свистопердящими школьниками, которые пришли в проект KDE и сделали плазму, непомуки, аконади, балу, начали мазать окна синими соплями aka Неоновой подсветкой и творить прочую дичь из-за которой проект KDE навсегда заслужил репутацию нестабильного и падучего окружения для ЛОРовской школоты. После ужаса, который назывался KDE 4, даже SUSE SLE перешли на GNOME.

EXL ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Надеюсь, там ещё нет udev, dbus и HAL.

Есть. Все три.

Puzan ★★★★ ()

Это классика. Спасибо за скрин. Эх, были времена.

Odalist ★★★★★ ()
Ответ на: комментарий от EXL

дичь из-за которой проект KDE навсегда заслужил репутацию нестабильного и падучего окружения для ЛОРовской школоты

Репутацию оно заслужило во времена как минимум 3.1, а может и раньше.

bread ()
Ответ на: комментарий от EXL

для ЛОРовской школоты.

о, как ты всех, типа меня, приласкал :)

По существу, у меня в Gnome и Cinnamon стабильно хард ресеты ноута случаются. В KDE, XFCE и т.п. - нет. Пока юзаю KDE, вполне юзабельно.

Ну и сам-то на чём?

hatred ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)